<?php

/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

$sortId = 5;
$toolId = $this->toolID;
$listId = 2;
$listName = 'KurssammelvertragSonstiges';

$settingsArray = array();

$setting = new Setting();
$setting->name = 'title1';
$setting->description = 'Überschrift';
$setting->subGroup = 'Kurssammelvertrag';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_INPUTNORMAL);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'title2';
$setting->description = 'Untertitel';
$setting->subGroup = 'Kurssammelvertrag';
$setting->help = '(für max. 2 Zeilen)';
$setting->toolId = $toolId;
$setting->config->size = 3;
$setting->config->loadConfiguration(SC_TEXTBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'endbem';
$setting->description = 'Schlussbemerkung';
$setting->help = 'Schlusssatz (für max. 4 Zeilen)';
$setting->subGroup = 'Kurssammelvertrag';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_INPUTNORMAL);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'portrait';
$setting->description = 'Druckausgabe';
$setting->subGroup = 'Kurssammelvertrag';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_MULTIHYBRID);
$setting->config->items['radio'] = array(1 => 'Hochformat', 0 => 'Querformat');
$setting->disabled[0] = true;
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = array('kurssammelvertraglisteName', 'kurssammelvertraglisteBezeichnung', 'kurssammelvertraglisteTitel');
$setting->description = 'Falls alle drei Felder leer gelassen werden, wird der erste Eintrag in KuferSQL / Einstellungen / Hinterlegungen Sonstiges / Unterschriften verwendet';
$setting->descriptionWithColonMark = false;
$setting->subGroup = 'Kurssammelvertrag';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_FIELDSET);
$setting->descriptionBeforeInput = true;
$setting->config->fieldsetName = 'Unterschrift';
$setting->config->items['text1']['kurssammelvertraglisteName'] = 'Name und Vorname des VHS-Mitarbeiters:';
$setting->config->items['text2']['kurssammelvertraglisteBezeichnung'] = 'Bezeichnung des VHS-Mitarbeiters:';
$setting->config->items['text3']['kurssammelvertraglisteTitel'] = 'Titel des VHS-Mitarbeiters:';
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'kopieKuferSQL';
$setting->description = 'Die in KuferSQL zu dieser Liste getroffenen Einstellungen verwenden';
$setting->help = 'Vorsicht: Beim Klick auf "Von KuferSQL kopieren" werden die bisherigen Einstellungen zu dieser Liste verworfen, und durch die von KuferSQL ersetzt.' . BR_WT
                 . 'In KuferSQL finden Sie die Einstellungen zu dieser Liste unter "Einstellungen / Einstellungen für die Standard-Formulare / Werkvertrag".';
$setting->subGroup = 'Einstellungen von KuferSQL kopieren';
$setting->toolId = $toolId;
$setting->saveButtonTitle = 'vonsqlkopieren';
array_push($settingsArray, $setting);